/**
 * InstalledCluster
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.pkgview;

import uk.co.petertribble.jumble.*;
import java.io.File;
import java.util.Map;

/**
 * Describes the currently installed software metacluster
 */
public class InstalledCluster {

    private String instCluster = null;

    public InstalledCluster() {
	// Which cluster do we have installed?
	Map <String, String> mm = JumbleUtils.stringToPropMap(
		JumbleFile.getStringContents(
			new File("/var/sadm/system/admin/CLUSTER")), "\n");
	instCluster = mm.get("CLUSTER");
    }

    public boolean isDefined() {
	return (instCluster != null);
    }

    public String getClusterName() {
	 return instCluster;
    }

}
