/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 */

package uk.co.petertribble.solview.explorer;

import uk.co.petertribble.jkstat.api.JKstat;
import uk.co.petertribble.jkstat.demo.JKdemo;

public class ArcStat extends JKdemo {

    private ArcStatPanel mainPanel;

    public ArcStat() {
	this(new JKstat(), true);
    }

    public ArcStat(JKstat jkstat, boolean standalone) {
	super("ArcStat", 5, standalone);

	// create a main panel
	mainPanel = new ArcStatPanel(jkstat, 5);
	setContentPane(mainPanel);

	pack();
	setVisible(true);
    }

    public void update() {
	mainPanel.update();
    }

    /**
     * Start the timer loop, so that the accessory updates itself.
     */
    public void startLoop() {
	mainPanel.startLoop();
    }

    @Override
    public void stopLoop() {
	mainPanel.stopLoop();
    }

    @Override
    public void setDelay(int interval) {
	mainPanel.setDelay(interval);
	setLabelDelay(interval);
    }

    public static void main(String[] args) {
	new ArcStat();
    }
}
