/**
 * SysTreeNode - represent an item of hardware as a node in a tree
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview.explorer;

import javax.swing.tree.DefaultMutableTreeNode;

public class SysTreeNode extends DefaultMutableTreeNode {

    private SysItem hi;
    private String node;

    /**
     * Display a package list
     */
    public SysTreeNode(SysItem hi, String node) {
	this.hi = hi;
	this.node = node;
    }

    // the tree just displays this bit
    public String toString() {
	return node;
    }

    // but this is what this object really means
    public Object getUserObject() {
	return hi;
    }
}
